Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class LocalDeviceService

    java.lang.Object
      org.teleal.cling.model.meta.DeviceService<LocalService>
          org.teleal.cling.model.meta.LocalDeviceService

All Implemented Interfaces:
  Validatable

    public class LocalDeviceService

extends DeviceService<LocalService>

Author:
  Christian Bauer

Constructor Summary
`LocalDeviceService(ServiceType serviceType, ServiceId serviceId, LocalService service)`

Method Summary
`URI` | `getControlURI()`
`URI` | `getDescriptorURI()`
`URI` | `getEventSubscriptionURI()`

Methods inherited from class org.teleal.cling.model.meta.DeviceService
`createServiceReference, getDevice, getLocalEventCallbackURI, getLocalURIPrefix, getService, getServiceId, getServiceType, getState, prefixLocalURI, prefixLocalURI, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalDeviceService

    public LocalDeviceService(ServiceType serviceType,
                              ServiceId serviceId,
                              LocalService service)

Method Detail

### getDescriptorURI

    public URI getDescriptorURI()

  Overrides:
    `getDescriptorURI` in class `DeviceService<LocalService>`

### getControlURI

    public URI getControlURI()

  Overrides:
    `getControlURI` in class `DeviceService<LocalService>`

### getEventSubscriptionURI

    public URI getEventSubscriptionURI()

  Overrides:
    `getEventSubscriptionURI` in class `DeviceService<LocalService>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.